//-----------------------------------------------------------------------------
// btndrawer.m
//
// drawer activated by button
//
// adapted by pictoratus from a script by FrisbeeMonkey
//-----------------------------------------------------------------------------




#include "lib/std.mi"



Global Group ThDrawerGrp, EQDrawerGrp, dbuttons;
Global Layer ThDrawer, ThDrawerInfo, EQDrawer, EQDrawerInfo;

Global Button thbutton, eqbutton;

Global Int ThDrawerStatus, EQDrawerStatus;  //0 = closed, 1 = open
Global Int ThStartX, ThStartY, ThEndX, ThEndY;
Global Int EQStartX, EQStartY, EQEndX, EQEndY;


System.onScriptLoaded() {


	ThDrawerGrp = System.getContainer("main").getLayout("normal").getObject("ThDrawerGroup");

	EQDrawerGrp = System.getContainer("main").getLayout("normal").getObject("EQDrawerGroup");

	dbuttons = System.getContainer("main").getLayout("normal").getObject("dbuttons");


	ThDrawer = ThDrawerGrp.findObject("ThDrawer");
	ThDrawerInfo = ThDrawerGrp.findObject("ThDrawerInfo");

	EQDrawer = EQDrawerGrp.findObject("EQDrawer");
	EQDrawerInfo = EQDrawerGrp.findObject("EQDrawerInfo");

	thButton = dbuttons.findObject("thbutton");

	eqButton = dbuttons.findObject("eqbutton");

	ThStartX = StringToInteger(ThDrawerGrp.getXMLparam("x"));
	ThStartY = StringToInteger(ThDrawerGrp.getXMLparam("y"));
	ThEndX = StringToInteger(ThDrawerInfo.getXMLparam("x"));
	ThEndY = StringToInteger(ThDrawerInfo.getXMLparam("y"));

	EQStartX = StringToInteger(EQDrawerGrp.getXMLparam("x"));
	EQStartY = StringToInteger(EQDrawerGrp.getXMLparam("y"));
	EQEndX = StringToInteger(EQDrawerInfo.getXMLparam("x"));
	EQEndY = StringToInteger(EQDrawerInfo.getXMLparam("y"));


	ThDrawerStatus = 0;

	EQDrawerStatus = 0;




}//end onScriptLoaded()





//when the left mouse button is released on button, do this


thButton.onLeftButtonUp(int x, int y) {
  if (ThDrawerStatus == 0) {  // if ThDrawer is closed, make it slide open
    if (!ThDrawerGrp.isGoingToTarget()) {  //makes sure it isn't already moving



      ThDrawerGrp.setTargetX(ThEndX);  //set the x coordinate you want the drawer to slide to
      ThDrawerGrp.setTargetY(ThEndY);  //set the y coordinate you want the drawer to slide to
      ThDrawerGrp.setTargetSpeed(1);  //sets the speed the drawer will slide at(higher is slower)
      ThDrawerGrp.gotoTarget();  //now that we have our target values and speed, start moving!
      ThDrawerStatus = 1;  //Change the flag to Open
      thButton.setActivated(1);

    }
  }
  else {  // if ThDrawer is open, make it slide closed
    if (!ThDrawerGrp.isGoingToTarget()) {  //makes sure it isn't already moving
      ThDrawerGrp.setTargetX(ThStartX);  //set the x coordinate you want the drawer to slide back to
      ThDrawerGrp.setTargetY(ThStartY);   //set the y coordinate you want the drawer to slide back to
      ThDrawerGrp.setTargetSpeed(1);  //sets the speed the drawer will slide at(higher is slower)
      ThDrawerGrp.gotoTarget();  //now that we have our target values and speed, start moving!
      ThDrawerStatus = 0;  //Change the flag to Closed
      thButton.setActivated(0);
    }
  }
}




eqButton.onLeftButtonUp(int x, int y) {
  if (EQDrawerStatus == 0) {  // if EQDrawer is closed, make it slide open
    if (!EQDrawerGrp.isGoingToTarget()) {  //makes sure it isn't already moving



      EQDrawerGrp.setTargetX(EQEndX);  //set the x coordinate you want the drawer to slide to
      EQDrawerGrp.setTargetY(EQEndY);  //set the y coordinate you want the drawer to slide to
      EQDrawerGrp.setTargetSpeed(1);  //sets the speed the drawer will slide at(higher is slower)
      EQDrawerGrp.gotoTarget();  //now that we have our target values and speed, start moving!
      EQDrawerStatus = 1;  //Change the flag to Open
      eqButton.setActivated(1);

    }
  }
  else {  // if EQDrawer is open, make it slide closed
    if (!EQDrawerGrp.isGoingToTarget()) {  //makes sure it isn't already moving
      EQDrawerGrp.setTargetX(EQStartX);  //set the x coordinate you want the drawer to slide back to
      EQDrawerGrp.setTargetY(EQStartY);   //set the y coordinate you want the drawer to slide back to
      EQDrawerGrp.setTargetSpeed(1);  //sets the speed the drawer will slide at(higher is slower)
      EQDrawerGrp.gotoTarget();  //now that we have our target values and speed, start moving!
      EQDrawerStatus = 0;  //Change the flag to Closed
      eqButton.setActivated(0);
    }
  }
}